import React from 'react';
type InfiniteScrollProps<T> = {
    fetchData: (size: number, offset: number) => Promise<T[] | undefined>;
    size: number;
    renderElement: (element: T) => React.ReactNode;
    containerRef: React.RefObject<HTMLDivElement>;
    loaderComponent?: React.ReactNode;
};
export default function InfiniteScroll<T>({ containerRef, fetchData, loaderComponent, size, renderElement, }: InfiniteScrollProps<T>): string | number | boolean | React.ReactElement<any, string | React.JSXElementConstructor<any>> | Iterable<React.ReactNode> | (string | number | boolean | Iterable<React.ReactNode> | React.JSX.Element | null | undefined)[] | null | undefined;
export {};
//# sourceMappingURL=InfiniteScroll.d.ts.map